Eliminar una instrucción
curl --request DELETE \
--url https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/versions/{versionId}/instructions/{instructionId} \
--header 'Authorization: Bearer <token>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/versions/{versionId}/instructions/{instructionId}"
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-workspace-id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/versions/{versionId}/instructions/{instructionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"message": "<string>",
"details": {
"subcode": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Agent Instructions
Eliminar una instrucción
Elimina la instrucción sin borrar su historial.
DELETE
/
v1
/
agents
/
{agentId}
/
versions
/
{versionId}
/
instructions
/
{instructionId}
Eliminar una instrucción
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Identificador del workspace multi-tenant.
Path Parameters
Identificador del agente
Identificador de la versión del agente
Identificador de la instrucción
Response
Instrucción eliminada
⌘I
